%define ver_major 0.9
%def_disable static

Name: libgnomesu
Version: %ver_major.5
Release: alt1.1

Summary: libgnomesu is a library for providing superuser privileges to GNOME applications
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define glib_ver 2.6.0

Requires: glib2 >= %glib_ver
BuildPreReq: glib2-devel >= %glib_ver

# Automatically added by buildreq on Mon Feb 07 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpam-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel pkgconfig

%description
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%package -n gnomesu
Group: System/Base
Summary: A Gtk application to wrap 'su'
Requires: %name = %version-%release

%description -n gnomesu
GNOMEsu is a frontend to the su and sudo programs. It supports login
shells and preserving environment variables, and is useful for launching
graphical programs that need to run as another user. When operating as
a sudo replacement, it respects /etc/sudoers definitions.

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: glib2-devel >= %glib_ver

%description devel
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

Install this package if you wish to develop applications that use %name

%package devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries for development with %name.

%define _libexecdir %_libdir/%name

%prep
%setup -q -n %name-%version

%build
#autoreconf -ifsv
%configure \
    --disable-schemas-install \
    --disable-setuid-error

%make_build

%install
%make_install DESTDIR=%buildroot install

# fix permissions for backends.
%__chmod 755 %buildroot%_libexecdir/*

%find_lang --output=%name.lang %name-1.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%dir %_libexecdir
%attr(4711,root,root) %_libexecdir/*
%config %_sysconfdir/pam.d/*
%doc AUTHORS ChangeLog NEWS README TODO

%files -n gnomesu
%_bindir/*
%_datadir/application-registry/*
%_datadir/mime-info/*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jan 12 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.5-alt1.1
- Rebuilt for new style PAM dependencies generated by rpm-build-4.0.4-alt55.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.9.5-alt1
- First build for Sisyphus

